Indexes
Create or update a version
Create a new or update an existing Index with the given version id
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
version
string
required
The specific version id of the Index to create or update.
Request Body
The Index to create or update.
AzureSearch
AzureAISearchIndexUpdate
Foundry IQ (Azure AI Search) Index Definition
type
enum
required
Type of index
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Foundry IQ (Azure AI Search) Index Definition
type
enum
required
Type of index
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
required
Type of index
Responses
The request has succeeded.
Body
AzureSearch
AzureAISearchIndex
Foundry IQ (Azure AI Search) Index Definition
type
enum
required
Type of index
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Foundry IQ (Azure AI Search) Index Definition
type
enum
required
Type of index
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
required
Type of index
Request
PATCH /indexes/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json